Subject: Re: [RFC PATCH 0/4] Remove some e500/MPC85xx evaluation platforms

From: Michael Ellerman <[email-masked]>
Date: Fri, 14 Apr 2023 12:13:55 +1000

Li Yang <[email-masked]> writes:
> On Tue, Feb 21, 2023 at 1:52 PM Paul Gortmaker
> <[email-masked]> wrote:
>>
>> [This RFC is proposed for v6.4 and hence is based off linux-next.]
>>
>> In a similar theme to the e300/MPC83xx evaluation platform removal[1],
>> this targets removal of some 13 --> 21 year old e500/MPC85xx evaluation
>> boards that were produced in limited numbers and primarily made available
>> to hardware/software developers to shape their own boards and BSPs.
>
> These e500 platforms are similar to the e300 platforms that they are
> still being shipped, the targeting market probably caused it to have a
> longer life cycle.
>
...
>
> The difference here from the e300 platforms is that MPC8540ADS,
> MPC8560ADS, MPC8548CDS, MPC8568-MDS are the only reference platforms
> supplied by us for these SoCs.  We don't have a separation of
> evaluation platforms vs product-like platforms like we did later.
> That probably means even if they don't look like "hobbyist" friendly
> they are more likely to be still in use.

OK. But what is the chance anyone is booting upstream kernels on them?

I assume no one at NXP is testing upstream on those boards?

cheers